﻿namespace AtomicTorch.CBND.CoreMod.CharacterSkeletons
{
    using AtomicTorch.CBND.CoreMod.Systems.Physics;
    using AtomicTorch.CBND.GameApi.Data.Physics;
    using AtomicTorch.CBND.GameApi.Resources;
    using AtomicTorch.CBND.GameApi.ServicesClient.Components;
    using AtomicTorch.GameEngine.Common.Primitives;

    public class SkeletonCamel : ProtoCharacterSkeletonAnimal
    {
        //public override bool HasMoveStartAnimations => false;

        public override SkeletonResource SkeletonResourceBack { get; }
            = new SkeletonResource("Camel/CamelBack");

        public override SkeletonResource SkeletonResourceFront { get; }
            = new SkeletonResource("Camel/CamelFront");

        public override double WorldScale => 0.4;
		
		protected override string SoundsFolderPath => "Skeletons/Boar";

        public override void ClientSetupShadowRenderer(IComponentSpriteRenderer shadowRenderer, double scaleMultiplier)
        {
            shadowRenderer.PositionOffset = new Vector2D(0, 0.01 * scaleMultiplier);
            shadowRenderer.Scale = 0.75 * scaleMultiplier;
        }

        public override void CreatePhysics(IPhysicsBody physicsBody)
        {
            physicsBody.AddShapeRectangle(
                size: new Vector2D(0.6,    0.25),
                offset: new Vector2D(-0.3, -0.05),
                group: CollisionGroups.Default);

            physicsBody.AddShapeCircle(
                radius: 0.45,
                center: new Vector2D(0, 0.35),
                group: CollisionGroups.HitboxMelee);

            physicsBody.AddShapeCircle(
                radius: 0.45,
                center: new Vector2D(0, 0.35),
                group: CollisionGroups.HitboxRanged);
        }
    }
}